package com.hikcreate.edl.pub.web.mobile.infra.data.feign.dcp_service_vehicle;


import com.hikcreate.edl.pub.web.mobile.infra.data.feign.dcp_service_vehicle.param.request.IdCardQueryReq;
import com.hikcreate.edl.pub.web.mobile.infra.data.feign.dcp_service_vehicle.param.response.DrivingLicenseRes;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;

/**
 *
 */
@FeignClient(value = "dcp-service-vem", path = "DrivingLicense", contextId = "dcp-service-vem-drivingLicense")
public interface DrivingLicenseFeign {


    @PostMapping("/getByIdCard")
    DrivingLicenseRes getByIdCard(@RequestBody @Valid IdCardQueryReq req);


}
